General | Hardware | Click Mode | Properties | Calibration | Toolbars | Status
# Controller firmware settings Version 1.0 – 13th July 2010
This firmware page describes the firmware options for this controller. Note. These setting should be viewed on the understanding of how the controller and driver interact to determine if a touch has occurred. The foil has a series of embedded wires (in various layouts) that output a constant stream of raw data co-ordinates called the ‘normal range’, even when untouched. When touched the range of the co-ordinates within the data will increase from wires near the touch. The touch algorithm works by detecting the wire value changing from the normal range of co-ordinates but at the same time has to cater for false data movement, data spikes and the constant reassessment of wire ranges due to environmental conditions. For this reason it is not possible to guarantee the touch will work correctly until the right setting combination is found.
Configuration | Represents the wire configuration:- 32 x 32 (Default): S1 – S32 = Y, S33 – S64 = X 2-1B64 - split 12y, 40x, 12y: S1 – S12 = Y, S13 – S52 = X, S64 – S53 = Y 3-1S64 - split 20y, 24x, 20y: S1 – S20 = X, S21 – S44 = Y, S64 – S45 = X
X Wires / Y Wires | Shows number of X and Y wires – information only
Sensitivity | Indicates the pressure required to activate a touch. Range 1-50 (Default 15)
Range | This is the lower threshold value. A wire value above this range must be received to be processed as a touch. Range 1-50 (Default 10).
Sample Size | USB controller only. Serial controller has an on board dip switch. Represents the time taken to sample the wire data. In principle, the thicker the glass screen the longer time is needed to sample the wire data. Range 1 to 15 (Default 10)
Reset Threshold | This is used to determine if a wire has spiked. If a wire has gone over this value but the surrounding pattern indicates that the user isn’t actually touching then the wire will be reset. Default is 15. This effect can be observed by looking at the fully pre-processed test screen. If there are one or two wires which are at high levels (e.g. 15+) compared to the rest then they are spiked. They will get reset if they are over the reset threshold. If this doesn’t help then please see the section for ramp rate as another potential solution
| Note: We have observed that with some controllers (in our case a serial controller) the wire ranges can be very small. We have also observed that the number of wires that reflect a touch can be significantly less than as observed in other controllers. This can have the effect of incorrectly triggering the “reset threshold” functionality. To get this particular controller functioning with good performance we increased the reset threshold (20) so that this won’t happen in normal usage with a low wire range. We also reduced the sensitivity (10).
Ramp Rate | This controls the rate of contraction of the calculated wire range. The lower the setting the quicker the contraction. Default value is 0 which disables the feature. If required, in our testing good results were obtained using a ramp rate of 8. Technical note: The driver constantly reassess the minimum and maximum range for individual wires and limits the range to help identify ‘real’ touches as opposed to false or invalid touches. The standard rate of reassessment works in most cases but in some poorly, or unmounted controllers, real touches (especially during drag operations) were being dismissed as false touches resulting in constant lost of touch during drag operations. In most controller mountings this feature is unlikely to be required and should remain disabled. If enabled it is likely that longer drags will automatically generate a liftoff after a period of time.
| These options display a test sensor grid to view the wire data in various formats and can be very useful as a diagnostics tool to help understand data characteristics and the likely settings required. When in this mode use the ESC key to exit. A steady touch for 10 seconds can also be held but this is not always reliable due to fluctuating raw data seen as touch movement.
Full pre-processing | The wire values are adjusted so that they appear in the range of 0 – difference between wire min and max. This gives the most readable results..
Flips + splits layout | In this view wires are arranged correctly based on the flips and splits setup. Therefore one wire may be oscillating in the range of 145 – 155 whilst the wire next to it could be oscillating in the range 34 – 42. This makes it harder to read as the bars will all be of different heights.
No pre-processing | This view shows the raw data coming from the controller.
| The close button will discard any parameter changes made since the last apply.
| The Apply button will execute any parameter changes made without exiting the page.
| The OK button will save all settings and exit the current page.